Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161555 - Permission of logical volumes do not allow backup.
Summary: Permission of logical volumes do not allow backup.
Keywords:
Status: CLOSED DUPLICATE of bug 141050
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 145411
TreeView+ depends on / blocked
 
Reported: 2005-06-24 09:35 UTC by Bastien Nocera
Modified: 2010-01-12 02:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 09:12:14 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2005-06-24 09:35:25 UTC
The same problem occurs on RHEL4.

+++ This bug was initially created as a clone of Bug #141050 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Logical volumes are create as root.root with 600 permissions.
It would be nice if they had similar permissions as regular disks.

Owner: root
Group: disk
Permissions: 660

That way out of the box amanda would not complain that it does not
have permissions to backup / for instance.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ls /dev/mapper
2.
3.
    

Actual Results:  brw-------   1 root root 253,  0 Nov 28 08:25 vg00-lvroot


Expected Results:  brw-rw----   1 root disk 253,  0 Nov 28 08:25
vg00-lvroot


Additional info:


Note You need to log in before you can comment on or make changes to this bug.